Subject: Re: IETF AVT last call on draft-ietf-avt-rtp-mpeg4-es-03.txt

From: "Koji Imura" <[email-masked]>
Date: Wed, 6 Sep 2000 11:21:24 +0900

Dear all,

I reviewed the draft and had a question.
In the section 3.1, there is a description about the marker bit and
time stamp for the MPEG-4 visual.
According to this description, it is possible to include some VOPs
in one RTP packet.
In such a case, the only time stamp for first VOP is included in the
RTP header, but there is no time information for rest of VOPs in the
same RTP packet.
The temporal interval between VOPs is variable in MPEG-4 visual
So it is difficult to estimate the time stamp of the other VOPs.

If there is a system that presentation/composition time is decided
by the RTP time stamp, how do the system estimate the time stamp
of rest of the VOPs?

Best Regards,

Koji

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Koji Imura([email-masked])
Matsushita Communication Industrial
Phone:+81-468-40-5684 Fax: +81-468-40-5184
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

----- Original Message -----
From: Colin Perkins <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, August 26, 2000 12:49 AM
Subject: IETF AVT last call on draft-ietf-avt-rtp-mpeg4-es-03.txt

> To the IETF AVT working group and the ad-hoc group on transport of
MPEG4-on-IP:
>
> The IETF Audio/Video Transport working group has received a request to
publish
>     http://www.ietf.org/internet-drafts/draft-ietf-avt-rtp-mpeg4-es-03.txt
> the "RTP payload format for MPEG-4 Audio/Visual streams" as a proposed
standard.
>
> Accordingly, this message starts a two week working group last call for
comments
> on this draft. All comments should be sent to the AVT working group
mailing list
> <[email-masked]> by 8th September 2000. At this time we will make our
decision
> whether or not to request IESG approval for publication, based on the
consensus
> of replies.
>
> We particularly value input from the MPEG committee as to technical
correctness
> and the appropriate nature of this specification. It is our intent that
this
> payload format is complementary to the ongoing work in MPEG defining a
general
> framework for transport of the MPEG-4 Systems environment. If this intent
is not
> reflected in the draft, we value comment with detailed and specific
suggestions
> for change.
>
> Note that we had originally planned to issue this working group last call
after
> the forthcoming MPEG meeting. However, time constraints imposed by the
ITU-T
> schedule for publication of the next version of H.323 require that we
issue this
> last call early. We hope that this will not cause undue problems, and look
forward
> to your input.
>
> Thanks,
> Colin Perkins (IETF AVT co-chair)
>
>

---

From: "Yoshihiro Kikuchi" <[email-masked]>
Date: Thu, 7 Sep 2000 14:40:29 +0900

Dear Imura-san,

Thank you very much for the comment.

> by the RTP time stamp, how do the system estimate the time stamp
Since MPEG-4 Video stream contains timing information in the VOP header
fields (modulo_time_base and vop_time_increment), the timestamp can be
derived from these fields inside the RTP payload.

It would be better to add a description to clarify this. How about adding
the following description in the timestamp definition in section 3.1?

- When multiple VOPs are carried in the same RTP packet, the timestamp
indicates the earliest of the composition time within the VOPs carried in
the RTP packet. Timestamp information of the rest of VOPs are derived from
the timestamp fields in the VOP header (modulo_time_base and
vop_time_increment).?

Best regards,
Yoshihiro

----
        Yoshihiro Kikuchi

E-mail: [email-masked]
Corporate Research and Development Center
TOSHIBA Corporation
TEL: +81 +44 549 2288    FAX: +81 +44 520 1267